MultiCollectorManager (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.search, class: MultiCollectorManager

Package org.apache.lucene.search

# Class MultiCollectorManager

java.lang.Object
org.apache.lucene.search.MultiCollectorManager

All Implemented Interfaces:
  `CollectorManager<Collector,Object[]>`

public class MultiCollectorManager extends Object implements CollectorManager<Collector,Object[]>
A `CollectorManager` implements which wrap a set of `CollectorManager` as `MultiCollector` acts for `Collector`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiCollectorManager(CollectorManager<? extends Collector,?>... collectorManagers)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collector`
  `newCollector()`
  Return a new `Collector`.
  `Object[]`
  `reduce(Collection<Collector> reducableCollectors)`
  Reduce the results of individual collectors into a meaningful result.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiCollectorManager

    @SafeVarargs public MultiCollectorManager(CollectorManager<? extends Collector,?>... collectorManagers)

- ## Method Details

  - ### newCollector

    public Collector newCollector() throws IOException
    Description copied from interface: `CollectorManager`
    Return a new `Collector`. This must return a different instance on each call.
    Specified by:
      `newCollector` in interface `CollectorManager<Collector,Object[]>`
    Throws:
      `IOException`

  - ### reduce

    public Object[] reduce(Collection<Collector> reducableCollectors) throws IOException
    Description copied from interface: `CollectorManager`
    Reduce the results of individual collectors into a meaningful result. For instance a `TopDocsCollector` would compute the `top docs` of each collector and then merge them using `TopDocs.merge(int, TopDocs[])`. This method must be called after collection is finished on all provided collectors.
    Specified by:
      `reduce` in interface `CollectorManager<Collector,Object[]>`
    Throws:
      `IOException`